#!/usr/bin/env bash
set -euo pipefail
SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
DESTUUID="$(cat $SCRIPT_DIR/uuidfile)"
tmpdir=$(mktemp -d)
mntdir=$(mktemp -d)
if [[ ! -h "/dev/disk/by-uuid/$DESTUUID" ]]; then
    echo "Error: Drive not inserted"
    exit 1
fi
mount /dev/disk/by-uuid/"$DESTUUID" $mntdir
cp $(nix-shell -p nixos-generators --run "nixos-generate --format iso --configuration './image.nix' -o $tmpdir/nixos-image.iso") $mntdir/nixos-x86_64-$(date --iso).iso
umount $mntdir
rm -rf $tmpdir
rmdir $mntdir
