{ pkgs, modulesPath, lib, ... }: {
  imports = [
    "${modulesPath}/installer/cd-dvd/installation-cd-minimal-new-kernel-no-zfs.nix"
  ];
  users.users.nixos.openssh.authorizedKeys.keys = [
    "sk-ssh-ed25519@openssh.com AAAAGnNrLXNzaC1lZDI1NTE5QG9wZW5zc2guY29tAAAAINgMYT/3mFn0A/yAkI3BHC246Q+/tZ+3HdBeeyp134e+AAAAGHNzaDp5dWJpa2V5LWJsdWUtZGVza3RvcA== philipp@sarah"
  ];
  boot.supportedFilesystems = [ "bcachefs" ];
  isoImage.squashfsCompression = "gzip -Xcompression-level 1";
  nix = {
    settings.experimental-features = [ "nix-command" "flakes" ];
  };
  environment.systemPackages = with pkgs; [
    git
    keyutils
    rsync
    tmux
  ];
  console.keyMap = "neo";
}
